summaryrefslogtreecommitdiff
path: root/nonsystemd/exim-openrc/exim.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/exim-openrc/exim.initd')
-rw-r--r--nonsystemd/exim-openrc/exim.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/nonsystemd/exim-openrc/exim.initd b/nonsystemd/exim-openrc/exim.initd
new file mode 100644
index 000000000..4dace4071
--- /dev/null
+++ b/nonsystemd/exim-openrc/exim.initd
@@ -0,0 +1,20 @@
+#!/usr/bin/openrc-run
+
+description="EXIM internet mailer"
+
+supervisor=supervise-daemon
+command=/usr/bin/exim
+command_args=${command_args:--bdf -q15m}
+cfgfile=/etc/mail/exim.conf
+required_files="$cfgfile"
+
+depend() {
+ use antivirus net
+ provide mta
+}
+
+start_pre() {
+ ebegin
+ $command -bV >/dev/null 2>>${startuplog:-/dev/null}
+ eend $?
+}